Bug 1695323 - Review Request: freeipa-healthcheck - Health check tool for FreeIPA
Summary: Review Request: freeipa-healthcheck - Health check tool for FreeIPA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 20:09 UTC by François Cami
Modified: 2019-04-13 15:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 14:31:37 UTC
Type: ---
pemensik: fedora-review+


Attachments (Terms of Use)

Description François Cami 2019-04-02 20:09:14 UTC
Spec URL: https://github.com/fcami/freeipa-healthcheck-rpm/blob/master/freeipa-healthcheck.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/5870/33895870/freeipa-healthcheck-0.1-1.fc29.src.rpm
Description: The FreeIPA health check tool provides a set of checks to proactively detect defects in a FreeIPA cluster.
Fedora Account System Username: fcami

Patches and configuration files available in my test dist-git:
https://github.com/fcami/freeipa-healthcheck-rpm

Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=33895869

Comment 1 François Cami 2019-04-03 15:33:23 UTC
Spec URL:  https://github.com/fcami/freeipa-healthcheck-rpm/blob/master/freeipa-healthcheck.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/471/33920471/freeipa-healthcheck-0.1-1.fc29.src.rpm

New scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33920469

Patches:
* 0001-add-ipahealthcheck.ipa-package.patch
 => upstreamed and merged and will not be needed for the next release
* 0002-installutils_realm_to_serverid.patch
 => needed until Fedora ships a newer FreeIPA that includes https://github.com/freeipa/freeipa/commit/d5d9233b7c94eb33d6c7341899543224c14d2287

Comment 2 François Cami 2019-04-03 21:38:42 UTC
Spec URL: https://github.com/fcami/freeipa-healthcheck-rpm/blob/master/freeipa-healthcheck.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/213/33930213/freeipa-healthcheck-0.1-1.fc29.src.rpm

New scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33930192

New patch:
* 0003-add-module-deps.patch
 => upstreamed https://github.com/freeipa/freeipa-healthcheck/pull/2

Note for review: ipa-healthcheck is meant to be run against a configured and running FreeIPA server.

Comment 3 Petr Menšík 2019-04-03 23:52:49 UTC
Please provide URL to raw spec file without HTML tags.

Spec URL: https://raw.githubusercontent.com/fcami/freeipa-healthcheck-rpm/master/freeipa-healthcheck.spec

Other than that, I have no other objections.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 38 files have unknown license. Detailed
     output of licensecheck in /home/reviewer/reviews/1695323-freeipa-
     healthcheck/srpm/review-freeipa-healthcheck/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: freeipa-healthcheck-0.1-1.fc31.noarch.rpm
          freeipa-healthcheck-0.1-1.fc31.src.rpm
freeipa-healthcheck.noarch: W: no-manual-page-for-binary ipa-healthcheck
freeipa-healthcheck.src:53: W: macro-in-comment %{__python3}
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
freeipa-healthcheck.noarch: W: invalid-url URL: https://github.com/freeipa/freeipa-healthcheck <urlopen error [Errno -2] Name or service not known>
freeipa-healthcheck.noarch: W: no-manual-page-for-binary ipa-healthcheck
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
freeipa-healthcheck (rpmlib, GLIBC filtered):
    /usr/bin/python3
    config(freeipa-healthcheck)
    python(abi)
    python3.7dist(ipalib)
    python3.7dist(ipaplatform)
    python3.7dist(ipapython)
    python3.7dist(ipaserver)



Provides
--------
freeipa-healthcheck:
    config(freeipa-healthcheck)
    freeipa-healthcheck
    python3.7dist(ipahealthcheck)
    python3dist(ipahealthcheck)



Source checksums
----------------
https://github.com/freeipa/freeipa-healthcheck/archive/release-0.1.tar.gz#/freeipa-healthcheck-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 17a2460023704b1817cdfce79f4d474033847d54cfb59cf7964e85bf7b313dbd
  CHECKSUM(SHA256) upstream package : 17a2460023704b1817cdfce79f4d474033847d54cfb59cf7964e85bf7b313dbd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n freeipa-healthcheck -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 François Cami 2019-04-04 08:41:26 UTC
Thanks Petr, much appreciated.

Comment 5 Gwyn Ciesla 2019-04-04 13:03:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/freeipa-healthcheck

Comment 6 François Cami 2019-04-04 14:31:37 UTC
Thanks Gwyn! Built as-is for rawhide: https://koji.fedoraproject.org/koji/buildinfo?buildID=1243539

Closing.

Comment 7 Fedora Update System 2019-04-04 19:19:15 UTC
freeipa-healthcheck-0.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-69e28900cc

Comment 8 Fedora Update System 2019-04-04 19:21:43 UTC
freeipa-healthcheck-0.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-97d426364a

Comment 9 Fedora Update System 2019-04-05 03:26:11 UTC
freeipa-healthcheck-0.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-97d426364a

Comment 10 Fedora Update System 2019-04-05 04:12:13 UTC
freeipa-healthcheck-0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-69e28900cc

Comment 11 Fedora Update System 2019-04-11 02:13:56 UTC
freeipa-healthcheck-0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-13 15:32:36 UTC
freeipa-healthcheck-0.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.